gzeof
gzgetc
Zlib Functions
PHP Manual

# gzfile

(PHP 4, PHP 5)

gzfile — Read entire gz-file into an array

### Description

array gzfile ( string `$filename` [, int `$use_include_path` = 0 ] )

This function is identical to readgzfile(), except that it returns the file in an array.

### Parameters

`filename`

  The file name.

`use_include_path`

  You can set this optional parameter to 1, if you want to search for the file in the include_path too.

### Return Values

An array containing the file, one line per cell, empty lines included, and with newlines still attached.

### Examples

Example #1 gzfile() example

`<?php
$lines = gzfile('somefile.gz');
foreach ($lines as $line) {
echo $line;
}
?>`

### See Also

- readgzfile() - Output a gz-file
- gzopen() - Open gz-file

gzeof
gzgetc
Zlib Functions
PHP Manual